<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/afl-3.0.php
 *
 * @author AXLERATION <contact@axleration.fr>
 * @copyright AXLERATION
 * @license https://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * @category Payment
 */
require_once _PS_MODULE_DIR_ . 'threebyfouroney/helpers/ThreeByFourOneyLogger.php';
/**
 * ThreeByFourOneyFailureModuleFrontController class
 * Handle payment failure redirections behaviors
 *
 * @version 3.0.0
 */
class ThreeByFourOneyFailureModuleFrontController extends ModuleFrontController
{
    public $display_column_right = false;
    public $display_column_left = false;

    /**
     * initContent function
     * Prestashop's init content function. Handle failure from payment redirection.
     *
     * @version 3.0.0
     * @return mixed
     */
    public function initContent()
    {
        parent::initContent();
        $reference = Tools::getValue('reference', false);

        $order = Order::getByReference($reference)->getFirst();
        $cart = Cart::getCartByOrderId($order->id);
        $customer = new Customer($order->id_customer);
        $errorStatusId = (int)Configuration::get('PS_OS_ERROR');

        $logsConfig = (string)Configuration::get('TBFONEY_ACTIVATE_LOGS');
        
        if ($order && $this->context->customer->secure_key === $customer->secure_key)
        {
            $history = new OrderHistory();
            $history->id_order = (int)$order->id;
            $newOrderState = new OrderState((int)$errorStatusId, (int)$order->id_lang);
            $history->id_order_state = $newOrderState->id;
            $history->add();
            // $objectOrder->setCurrentState($errorStatusId);
            if ($logsConfig === 'yes')
            {
                $log = new ThreeByFourOneyLogger();
                $log->info('PAYMENT RETURN FAILURE - ORDER REFERENCE: ' . $reference);
            }

            if (_PS_VERSION_ < '1.7')
            {
                $this->context->smarty->assign([
                    'reference' => $reference
                ]);
                return $this->setTemplate('failure.tpl');
            }
            if (_PS_VERSION_ >= '1.7')
            {
                Tools::redirectLink(__PS_BASE_URI__ . 'index.php?controller=order-detail&id_cart=' . $cart->id .'&id_module='. $this->module->id .'&id_order=' . $order->id . '&key=' . $customer->secure_key);
            }
        } else {
            if ($logsConfig === 'yes')
            {
                $log = new ThreeByFourOneyLogger();
                $log->warning('PAYMENT RETURN FAILUTRE - NO ORDER CREATED');
            }

            Tools::redirect('/');
        }
    }
}