<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/afl-3.0.php
 *
 * @author AXLERATION <contact@axleration.fr>
 * @copyright AXLERATION
 * @license https://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * @category Payment
 */

/**
 * ThreeByFourOneyRefundsModel class
 * Create specific table for simulations records.
 *
 * @version 3.0.0
*/
class ThreeByFourOneyRefundsModel extends ObjectModelCore
{
    public $id;
    public $order_id;
    public $amount;

    public static $definition = array(
        'table' => 'threebyfouroney_refunds',
        'primary' => 'id',
        'multilang' => false,
        'fields' => array(
            'order_id'      => array('type' => self::TYPE_INT, 'validate' => 'isInt', 'required' => true),
            'amount'        => array('type' => self::TYPE_FLOAT, 'validate' => 'isFloat', 'required' => true)
        )
    );

     /**
     * getRefund function
     * Return refund amount based on parameters
     *
     * @version 3.0.0
     * @param int $orderId
     * @return object
     */
    public function getRefundsByOrderId($orderId)
    {
        $sql = new DbQuery();
        $sql->select('*');
        $sql->from(self::$definition['table'], 'o');
        $sql->where('o.order_id = "' . (int)$orderId . '"');
        $result = Db::getInstance()->executeS($sql);
        return $result;
    }

    /**
     * insertRefund function
     * Insert refund with datas sent in parameter
     *
     * @version 3.0.0
     * @param array $data
     * @return void
     */
    public function insertRefund($data)
    {
        return Db::getInstance()->insert(self::$definition['table'], $data);
    }
}
