# 3x4x Oney - Release notes

## v3.1.18
March 21, 2024

### Fixes

#### Back-end
- Fix Multistore check. Do not use provider anymore but Shop context

## v3.1.17
January 25, 2024

### Evolutions

#### Front-end
- Update PayLater checkout template
- Update France pedagogic popin legal information

### Fixes

#### Back-end
- Current stock management on CRON execution

### Evolutions

#### Back-end
- Stock management on payment failure

## v3.1.16
November 6, 2023

### Evolutions

#### Front-end
- Add inactive behaviour on payment deactivation
- Add Paylater behavior and elements

#### Back-end
- Add inactive behaviour on payment deactivation
- Add France DOM TOM COM scope
- Add Paylater behavior and elements
- Fix France overseas territories behavior + condition optimisation
- Fix french translation

### Fixes

#### Back-end
- Fix Spanish translations on marketing element
- Fix Prestashop 1.6 Multistore detection
- Add missing translations on admin panel and utility

## v3.1.15
August 31, 2023

### Evolutions

#### Front-end
- Add France DOM-TOM-COM compatibility

#### Back-end
- Add France DOM-TOM-COM compatibility

### Fixes
- Spain fixe markeing wording

## v3.1.15
August 31, 2023

### Fixes

#### Back-end
- Fix double order confirmation on updatestatusorder CRON job
- Add missing translation for "total amount due" (all languages)
- Add info message on prerequisite step when multistore is enabled on merchant store.

## v3.1.14
August 11, 2023

### Fixes

#### Back-end
- Fix confirmation request on cascading status Ready to deliver to Payment accepted
- Revert order total_products_wt by total_paid for cancellation actions

## v3.1.13
July 20, 2023

### Fixes

#### Front-end
- Remove condition if order is on favorable status only

## v3.1.12
July 19, 2023

### Fixes

#### Back-end
- Fix order total_paid by total_products_wt for cancellation actions

## v3.1.11
July 18, 2023

### Fixes

#### Back-end
- Fix transaction note on payment accepted status
- Fix order confirmation redirection on payment success dans failure
- Fix stock quantity check from product_quantity to product_quantity_in_stock

### Evolutions
- Add Multi store support - Add store selection in module admin panel and payment behavior
- Add link in wizard admin panel first step (for module reset purpose)

#### Back-end
- Corrections for virtual products
- Check on webservice before applying changes

## v3.1.10
May 17, 2023

### Evolutions

#### Back-end
- Corrections for virtual products
- Check on webservice before applying changes

## v3.1.9
May 5, 2023

### Evolutions

#### Front-end
- Corrections on prices display for Spain

## v3.1.8
March 16, 2023

### Evolutions

#### Back-end
- Orders are set to a final state when updated to ABORTED, REFUSED or CANCELLED
- Final orders are no longer updated in the updateorderstatus

## v3.1.7
March 8, 2023

### Evolutions

#### Front-end
- Update Portugal legal text in pedagogic popin.

#### Back-end
- Add Long label in the table in business transactions step

## v3.1.6
January 31, 2023

### Fixes

#### Front-end
- Fix updateStatusOrder controller - undefined returned status fron Oney API.

## v3.1.5
January 17, 2023

### Fixes

#### Front-end
- Fix simulation request URL format
- Portugal: Fix pedagogic popin variables content for displaying specific country information

## v3.1.4
January 12, 2023

### Fixes

#### Front-end
- Change shipping address phone number to billing address phone number in payment controller

## v3.1.3
December 02, 2022

### Fixes

#### Back-end
- Fix Prestashop 1.6 404 when requestion controller updatestatusorder
- Unregister unused hooks

## v3.1.2
Novembre 25, 2022

### Fixes

#### Back-end
- Remove "date_default_timezone_set" functions for date and time reset on order actions

## v3.1.1
Novembre 17, 2022

### Evolutions

#### Back-end
- Update documentation links in admin

### Fixes

#### Front-end
- Fix failure template callback link

## v3.1.0
September 15, 2022

### Evolutions

#### Back-end
- Extend carriers list to all active carriers including module's generated ones.
- Add standard delivery values to newly added carriers
- Add default configuration handler on new shop creation
- Add "Long" business transaction type to allowed types
- Update documentation links in admin
- Improve Portugal legal information requirements.

### Fixes

#### Back-end
- Fix minor javascript warnings and errors
- Fix France minimum number of instalments requests
- Add shop scope on CRON orders status update.

#### Front-end
- Fix Spanish simulations
- Fix business transaction code paramater communication to payment

## v3.0.5
September 1, 2022

### Evolutions

#### Front-end
- Brought up to standard after feedback from the validator

#### Back-end
- Improve order refund process by changing triggers hooks
- Brought up to standard after feedback from the validator
- Add shop_id to ps_threebyfouroney_credentials for multisite compliance

### Fixes

#### Front-end
- Fix business transaction code requirement presence in request body

## v3.0.4
June 22, 2022

### Evolutions

#### Front-end
- Improvment on ajax requests (environement switch and simulations)
- Evolution on Portugal legal document upload behavior
- Conditionnal display on marketing and payment elements on unknown currency
- Add legal text in simulation tolltip for Spain

#### Back-end
- Improve wizard configuration user experience

### Fixes

#### Back-end
- Correction on process order
- Compartmentalization and non concurrency between Oney's modules

#### Front-end
- Minor fixes on marketing elements

## v3.0.3
May 9, 2022

### Evolutions

#### Back-end
- Upgrade on carriers configuration
- Minor improvment on cart simulations
- Evolution on payment API credentials
- Upgrade on Portugal legal document upload

## v3.0.2
April 21, 2022

### Fixes

#### Back-end
- Fix on carriers default configuration
- Fix simulations display on cart sumup 
- Fix Oney's payment API credentials validation
- Fix order statuses localization

## v3.0.1
March 2, 2022

### Evolutions
- New guidelines for Belgium, France, Italy, Portugal, Romania and Spain

## v3.0.0
December 22, 2021

The objective of this new version is to take the functionalities of the existing module (v2.0.5), to stabilize the exchanges with the Oney APIs, the ordering process and to improve the administration interface for a better handling of the end users.

### Features

#### Front-end
- Horizontal banner (on home page)
- Vertical banner (on catalog page)
- Simulation sentence ans tooltip (on product page)
- Simulation sentence ans tooltip (on cart page)
- Checkout cartridge (on checkout page)
- Pedagogic popin (cross elements)

#### Back-end
- Credentials configuration and verification
- Store configuration
- Automatic confirmation configuration
- Carriers configuration
- Template option configuration
- Country specific configuration (Portugal only)
- Advanced configuration
- Logs trace
- Business transaction configuration
- Oney status on process order

### Evolutions
- New design and UX for the administration panel
- New feature: Default configuration with module installation
- New country: Now compatible with Belgium!