{* NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/afl-3.0.php
 *
 * @author AXLERATION <contact@axleration.fr>
 * @copyright AXLERATION
 * @license https://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * @category Payment
*}
<div class="panel">
    <div class="row">
        <div class="col-md-6">
            <h2>{l s='Advanced configuration' mod='threebyfouroney'}</h2>
        </div>
        <div class="col-md-6">
            {if $environmentConfig}
                <p class="text-right" style="margin-bottom: 8.5px; margin-top: 17px;">
                    {l s='Your configuration environment:' mod='threebyfouroney'}
                    <span class="badge badge-info">{ucfirst($environmentConfig)}</span>        
                </p>
            {/if}
            {if $moduleVersion}
                <p class="text-right">
                    {l s='Module\'s version:' mod='threebyfouroney'}
                    <b>{$moduleVersion}</b>
                </p>
            {/if}
        </div>
    </div>

    <hr />

    <div class="threebyfouroney-content">
        {if isset($alerts)}
            {include file='../shared/alerts.tpl'}
        {/if}
        <form
            id="advanced-form"
            class="form-horizontal"
            action="{$formUri|escape:'htmlall':'UTF-8'}"
            method="post"
            enctype="multipart/form-data"
        >
            <div class="row">
                <div class="col-md-12">
                    <div class="panel">
                    
                        <div class="form-wrapper">

                            <div class="row">
                                <div class="col-lg-8 col-lg-offset-2">
                                    <p class="text-center">
                                        {l s='Enabling logs will trace all actions realized with the module. Oney\'s integration team may require this information to help you with the module\'s configuration. These files are available in [1]/logs[/1]. In [1]Staging[/1] environment, we advise to activate this option.' tags=['<b>'] mod='threebyfouroney'}
                                    </p>
                                </div>
                            </div>

                            <br />

                            <div class="form-group">
                                <div class="row select_block">
                                    <label class="control-label col-lg-3 required">
                                        {l s='Activate logs' mod='threebyfouroney'}
                                    </label>
                                    <div class="col-lg-7">
                                        <select name="TBFONEY_ACTIVATE_LOGS">
                                            <option value="no" {if $activateLogsConfig == 'no'}selected{/if}>{l s='No' mod='threebyfouroney'}</option>
                                            <option value="yes"{if $activateLogsConfig == 'yes'}selected{/if}>{l s='Yes' mod='threebyfouroney'}</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row select_block">
                                    <label class="control-label col-lg-3 required">
                                        {l s='Logs archive duration' mod='threebyfouroney'}
                                    </label>
                                    <div class="col-lg-7">
                                        <div class="input-group">
                                            <select name="TBFONEY_LOGS_LIFETIME">
                                                <option value="1" {if $logsLifetimeConfig === 1}selected{/if}>1</option>
                                                <option value="5" {if $logsLifetimeConfig === 5}selected{/if}>5</option>
                                                <option value="10" {if $logsLifetimeConfig === 10}selected{/if}>10</option>
                                                <option value="20" {if $logsLifetimeConfig === 20}selected{/if}>20</option>
                                                <option value="30" {if $logsLifetimeConfig === 30}selected{/if}>30</option>
                                            </select>
                                            <div class="input-group-addon">
                                                <span class="input-group-text">{l s='Days' mod='threebyfouroney'}</span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="panel-footer">
                            <div class="pull-right">
                                <button
                                    type="submit"
                                    value="1"
                                    id="submit-three-by-four-save-advanced"
                                    name="submitSaveAdvanced"
                                    class="btn btn-default"
                                >
                                    <i class="process-icon-save"></i> {l s='Save' mod='threebyfouroney'}
                                </button>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </form>
        
        <hr />

        <div class="row">
            <div class="col col-md-12">

                <h4>{l s='Logs history' mod='threebyfouroney'}</h4>
                
                <div class="list-group">
                    {foreach from=$logsFiles item=file key=key name=files}
                        <a href="{$file['path']}" class="list-group-item list-group-item-action" download="{$file['name']}"> 
                            <span>{$file['name']}</span>
                            <span style="float: right;">
                                <i class="icon-download"></i>
                            </span>
                        </a>
                    {/foreach}
                </div>
                {if empty($logsFiles)}
                    <div class="alert alert-info" role="alert">
                        <p class="alert-text">
                            {l s='No log traced. Please enable configuration above to start tracing events.' mod='threebyfouroney'}
                        </p>
                    </div>
                {/if}
            </div>
        </div>
    </div>
</div>