{* NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/afl-3.0.php
 *
 * @author AXLERATION <contact@axleration.fr>
 * @copyright AXLERATION
 * @license https://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * @category Payment
*}
<script type="text/javascript">
    var adminThreeByFourOneyControllerURI = "{$adminThreeByFourOneyControllerURI}";
</script>

<div class="panel">
    <div class="row">
        <div class="col-md-6">
            <h2>{l s='Business transactions' mod='threebyfouroney'}</h2>
        </div>
        <div class="col-md-6">
            {if $environmentConfig}
                <p class="text-right" style="margin-bottom: 8.5px; margin-top: 17px;">
                    {l s='Your configuration environment:' mod='threebyfouroney'}
                    <span class="badge badge-info">{ucfirst($environmentConfig)}</span>        
                </p>
            {/if}
            {if $moduleVersion}
                <p class="text-right">
                    {l s='Module\'s version:' mod='threebyfouroney'}
                    <b>{$moduleVersion}</b>
                </p>
            {/if}
        </div>
    </div>
    <hr />
    <div class="threebyfouroney-content">
        {if isset($alerts)}
            {include file='../shared/alerts.tpl'}
        {/if}
		<div class="row">
            <div class="col-md-8 col-lg-offset-2">
                <p class="text-center">{l s='Only [1]checked[/1] business transactions appear on your website.' tags=['<b>'] mod='threebyfouroney'}</p>
            </div>
            <div class="col-md-12">
                <form
                    id="business-transactions-form"
                    class="form-horizontal"
                    action="{$formUri|escape:'htmlall':'UTF-8'}"
                    method="post"
                    enctype="multipart/form-data"
                >
                    <ul class="nav nav-tabs" id="bts-tab" role="tablist">
                        {foreach from=$matchedCountries item=country key=key name=countries}
                            <li class="nav-item {if $smarty.foreach.countries.first}active{/if}">
                                <a
                                    class="nav-link"
                                    id="{strtolower($country.iso_code)}-bts-tab"
                                    data-toggle="tab"
                                    data-country-code="{strtolower($country.iso_code)}"
                                    href="#{strtolower($country.iso_code)}-bts"
                                    role="tab"
                                    aria-controls="{strtolower($country.iso_code)}-bts"
                                    aria-expanded="true"
                                >{$country.name}</a>
                            </li>
                        {/foreach}
                    </ul>
                    <div class="tab-content" id="bts-tab-content">
                        {foreach from=$matchedCountries item=country key=key name=countries}
                            <div
                                class="tab-pane {if $smarty.foreach.countries.first}active{/if}"
                                id="{strtolower($country.iso_code)}-bts"
                                role="tabpanel"
                                aria-labelledby="{strtolower($country.iso_code)}-bts-tab"
                            >
                                <div class="panel">
                                    {if !empty($businessTransactionsRecords{$country.iso_code|escape:'htmlall':'UTF-8'})}
                                        <table class="table table-hover">
                                            <thead>
                                                <th colspan="5" style="text-align: right">
                                                    <b>{l s='Activate / Deactivate all' mod='threebyfouroney'}</b>
                                                    <input type="checkbox" class="form-check-input" id="check-uncheck-all-{strtolower($country.iso_code|escape:'htmlall':'UTF-8')}" value="" />
                                                </th>
                                            </thead>
                                            <tbody>
                                                {foreach item=bt key=key name=bts from=$businessTransactionsRecords{$country.iso_code|escape:'htmlall':'UTF-8'}}
                                                    <tr>
                                                        <td width="12.5%">                                                        
                                                            <figure class="figure">
                                                                {if $bt.maximum_number_of_instalments > 1}
                                                                    <div class=" threebyfouroney-round-icon threebyfouroney-round-icon-back">
                                                                        <div class="threebyfouroney-text-round">{$bt.maximum_number_of_instalments}</div>
                                                                        <div class="threebyfouroney-text-round">x</div>
                                                                    </div>
                                                                    <img src="{$moduleDir|escape:'html':'UTF-8'}views/img/wizard/business_transactions/logo.png" class="figure-img img-fluid rounded" alt="{$bt.customer_label}" width="80px" height="26px" />
                                                                {else}
                                                                    <img src="{$moduleDir|escape:'html':'UTF-8'}views/img/wizard/business_transactions/paylater.png" class="figure-img img-fluid rounded" alt="{$bt.customer_label}" height="26px" />
                                                                {/if}
                                                            </figure>
                                                        </td>
                                                        <td width="5%">
                                                            <p class="h4" style="margin: 0;">{$bt.business_transaction_code}</p>
                                                        </td>
                                                        <td width="15%">
                                                            <p style="margin: 0;">{$bt.long_label}</p>
                                                        </td>
                                                        <td width="65%">
                                                            <p style="margin: 0;">{l s='Available for goods ranging from' mod='threebyfouroney'} <strong>{$bt.minimum_selling_price} {$currencyConfig{$country.iso_code|escape:'htmlall':'UTF-8'}}</strong> {l s='to' mod='threebyfouroney'} <strong>{$bt.maximum_selling_price} {$currencyConfig{$country.iso_code|escape:'htmlall':'UTF-8'}}</strong>.</p>
                                                            <p style="margin: 0;">
                                                                {l s='Fees:' mod='threebyfouroney'} 
                                                                <strong>
                                                                    {if $bt.free_business_transaction}
                                                                        {l s='Without fee' mod='threebyfouroney'}
                                                                    {else}
                                                                        {l s='With fees' mod='threebyfouroney'}
                                                                    {/if}
                                                                </strong>
                                                            </p>
                                                        </td>
                                                        <td width="2.5%">
                                                            <div class="form-check">
                                                                <label class="form-check-label">
                                                                    <input
                                                                        type="checkbox"
                                                                        class="form-check-input-{strtolower($country.iso_code|escape:'htmlall':'UTF-8')}"
                                                                        name="TBFONEY_BUSINESS_TRANSACTION_{strtoupper($country.iso_code|escape:'htmlall':'UTF-8')}[]"
                                                                        id="{strtolower($country.iso_code|escape:'htmlall':'UTF-8')}-{$bt.business_transaction_code|escape:'htmlall':'UTF-8'}"
                                                                        value="{$bt.business_transaction_code|escape:'htmlall':'UTF-8'}"
                                                                        {if $bt.is_active}checked{/if}
                                                                    />
                                                                </label>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                {/foreach}
                                            </tbody>
                                        </table>
                                    {else}
                                        <div class="alert alert-info" role="alert">
                                            <p class="alert-text">
                                                {l s='No business transaction requested. Please click on "Request new business transactions" to start this step configuration.' mod='threebyfouroney'}
                                            </p>
                                        </div>
                                        {if ($country.iso_code === 'PT') && ($checkSpecifiCountriesValidity === 'false')}
                                            <div class="alert alert-warning" role="alert">
                                                <p class="alert-text">Como comerciante intermediário de crédito, você deve preencher as informações obrigatórias sobre sua empresa</p>
                                            </div>
                                        {/if}
                                    {/if}
                                </div>
                                <div class="panel-footer">
                                    <div class="pull-right">
                                        <button
                                            type="button"
                                            onclick="requestThreeByFourOneyBusinessTransactions();"
                                            id="submit-threebyfouroney-request-business-transactions-{strtolower($country.iso_code|escape:'html':'UTF-8')}"
                                            class="btn btn-default"
                                        >
                                            <i class="process-icon-download"></i> {l s='Request new business transactions' mod='threebyfouroney'}
                                        </button>
                                        <button
                                            type="submit"
                                            value="1"
                                            id="submit-three-by-four-save-business-transactions-{strtolower($country.iso_code|escape:'html':'UTF-8')}"
                                            name="submitSaveBusinessTransactions"
                                            class="btn btn-default"
                                        >
                                            <i class="process-icon-save"></i> {l s='Save' mod='threebyfouroney'}
                                        </button>
                                    </div>
                                </div>
                            </div>
                        {/foreach}
                        <p id="threebyfouroney-request-business-transactions-message" class="hidden">{l s='By requesting the business transactions, you will replace those currently recorded in the module.' mod='threebyfouroney'}&#013;{l s='Do you want to continue?' mod='threebyfouroney'}</p>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function() {
        $('#bts-tab li a').each(function()
        {
            var countryCode = $(this).data('country-code');
            $("#check-uncheck-all-" + countryCode).change(function()
            {
                var isChecked = $(this).is(':checked');
                if (isChecked)
                {
                    $('tr td input.form-check-input-' + countryCode).each(function()
                    {
                        $(this).prop('checked', true);
                    });
                } else {
                    $('tr td input.form-check-input-' + countryCode).each(function()
                    {
                        $(this).prop('checked', false);
                    });
                }
            });
            if ($("tr td input.form-check-input-" + countryCode).length == $("tr td input.form-check-input-" + countryCode + ":checked").length)
            {
                $("#check-uncheck-all-" + countryCode).prop('checked', true);
            } else {
                $("#check-uncheck-all-" + countryCode).prop('checked', false);
            }
        });        
    });
</script>