{* NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/afl-3.0.php
 *
 * @author AXLERATION <contact@axleration.fr>
 * @copyright AXLERATION
 * @license https://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * @category Payment
*}
<script type="text/javascript">
    var adminThreeByFourOneyControllerURI = "{$adminThreeByFourOneyControllerURI}";
</script>

<div class="panel">
    <div class="row threebyfouroney-header">
        <div class="col-md-6">
            <h2>{l s='Oney\'s credentials' mod='threebyfouroney'}</h2>
        </div>
        <div class="col-md-6">
            {if $moduleVersion}
                <p class="text-right">
                    {l s='Module\'s version:' mod='threebyfouroney'}
                    <b>{$moduleVersion}</b>
                </p>
            {/if}
        </div>
    </div>

    <hr />

    <div class="threebyfouroney-content">
		<div class="row">
            <form
                id="credentials-form"
                class="form-horizontal"
                action="{$formUri|escape:'htmlall':'UTF-8'}"
                method="post"
                enctype="multipart/form-data"
            >
                {* Environment configuration *}
                <div class="form-wrapper">

                    <div class="form-group">

                        <div class="row select_block">
                            <label for="TBFONEY_ENVIRONMENT" class="control-label col-lg-3 required">
                                {l s='Environment' mod='threebyfouroney'}
                            </label>
                            <div class="col-lg-7">
                                <select onchange="updateThreeByFourOneyEnvironment(this.value);return false;" name="TBFONEY_ENVIRONMENT">
                                    <option value="staging" {if $environmentConfig == 'staging'}selected{/if}>{l s='Staging' mod='threebyfouroney'}</option>
                                    <option value="production" {if $environmentConfig == 'production'}selected{/if}>{l s='Production' mod='threebyfouroney'}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>

                {if isset($alerts)}
                    {include file='../shared/alerts.tpl'}
                {/if}

                {* Credentials configuration *}
                <div class="col-md-12">
                    <ul class="nav nav-tabs" id="oney-credentials-tab" role="tablist">
                        {foreach from=$matchedCountries item=country key=key name=countries}
                            <li class="nav-item {if $smarty.foreach.countries.first}active{/if}">
                                <a
                                    class="nav-link"
                                    id="{strtolower($country.iso_code)}-credentials-tab"
                                    data-toggle="tab"
                                    href="#{strtolower($country.iso_code)}-credentials"
                                    role="tab"
                                    aria-controls="{strtolower($country.iso_code)}-credentials"
                                    aria-expanded="true"
                                >{$country.name}</a>
                            </li>
                        {/foreach}
                    </ul>

                    <div class="tab-content" id="oney-credentials-tab-content">
                        {if !empty($matchedCountries)}
                            {foreach from=$matchedCountries item=country key=key name=countries}                               
                                <div
                                    class="tab-pane {if $smarty.foreach.countries.first}active{/if}"
                                    id="{strtolower($country.iso_code)}-credentials"
                                    role="tabpanel"
                                    aria-labelledby="{strtolower($country.iso_code)}-credentials-tab"
                                >
                                    <div class="panel">

                                        <div id="credentials-loader" class="loader overlay hidden">
                                            <img src="{$moduleDir|escape:'html':'UTF-8'}views/img/wizard/ajax-loader.gif" alt="loader" />
                                        </div>

                                        <div class="form-wrapper">

                                            <div class="row">
                                                <div class="col-lg-8 col-lg-offset-2">
                                                    <p class="text-center">
                                                        {l s='Your [1]Merchant GUID[/1], [1]PSP GUID[/1], [1]Marketing API key[/1] and [1]Payment API key[/1] are your unique identifier provided by Oney\'s team during the integration phase.' tags=['<b>'] mod='threebyfouroney'}
                                                    </p>
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label class="control-label col-lg-3 required" for="TBFONEY_MERCHANT_GUID_{$country.iso_code|escape:'htmlall':'UTF-8'}">
                                                    {l s='Merchant GUID' mod='threebyfouroney'}
                                                </label>
                                                <div class="col-lg-7">
                                                    <div class="input-group">
                                                        <div class="input-group-addon">
                                                            <span class="input-group-text">
                                                                {assign var=franceOverseasTerritoriesCodes value=['GP', 'GF', 'RE', 'MQ', 'YT', 'NC', 'PF', 'BL', 'MF', 'PM', 'WF']}
                                                                {if in_array($country.iso_code, $franceOverseasTerritoriesCodes)}
                                                                    <img src="{$moduleDir|escape:'html':'UTF-8'}views/img/wizard/flags/fr.png" class="figure-img img-fluid rounded" alt="{$country.name}" />
                                                                {else}
                                                                    <img src="{$moduleDir|escape:'html':'UTF-8'}views/img/wizard/flags/{strtolower($country.iso_code)}.png" class="figure-img img-fluid rounded" alt="{$country.name}" />
                                                                {/if}
                                                            </span>
                                                        </div>
                                                        <input
                                                            type="text"
                                                            name="TBFONEY_MERCHANT_GUID_{$country.iso_code|escape:'htmlall':'UTF-8'}"
                                                            id="TBFONEY_MERCHANT_GUID_{$country.iso_code|escape:'htmlall':'UTF-8'}"
                                                            value="{if !empty($TBFONEY_MERCHANT_GUID_{$country.iso_code|escape:'htmlall':'UTF-8'})}{$TBFONEY_MERCHANT_GUID_{$country.iso_code|escape:'htmlall':'UTF-8'}}{/if}"
                                                            class=""
                                                            placeholder="{l s='E.g. 799cc09f-ec23-4224-82be-d5d35ca16afb' mod='threebyfouroney'}"
                                                        >
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label col-lg-3 required" for="TBFONEY_PSP_GUID_{$country.iso_code|escape:'htmlall':'UTF-8'}">
                                                    {l s='PSP GUID' mod='threebyfouroney'}
                                                </label>
                                                <div class="col-lg-7">
                                                    <div class="input-group">
                                                        <div class="input-group-addon">
                                                            <span class="input-group-text">
                                                                {assign var=franceOverseasTerritoriesCodes value=['GP', 'GF', 'RE', 'MQ', 'YT', 'NC', 'PF', 'BL', 'MF', 'PM', 'WF']}
                                                                {if in_array($country.iso_code, $franceOverseasTerritoriesCodes)}
                                                                    <img src="{$moduleDir|escape:'html':'UTF-8'}views/img/wizard/flags/fr.png" class="figure-img img-fluid rounded" alt="{$country.name}" />
                                                                {else}
                                                                    <img src="{$moduleDir|escape:'html':'UTF-8'}views/img/wizard/flags/{strtolower($country.iso_code)}.png" class="figure-img img-fluid rounded" alt="{$country.name}" />
                                                                {/if}
                                                            </span>
                                                        </div>
                                                        <input
                                                            type="text"
                                                            name="TBFONEY_PSP_GUID_{$country.iso_code|escape:'htmlall':'UTF-8'}"
                                                            id="TBFONEY_PSP_GUID_{$country.iso_code|escape:'htmlall':'UTF-8'}"
                                                            value="{if !empty($TBFONEY_PSP_GUID_{$country.iso_code|escape:'htmlall':'UTF-8'})}{$TBFONEY_PSP_GUID_{$country.iso_code|escape:'htmlall':'UTF-8'}}{/if}"
                                                            class=""
                                                            placeholder="{l s='E.g. 799cc09f-ec23-4224-82be-d5d35ca16afb' mod='threebyfouroney'}"
                                                        >
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label col-lg-3 required" for="TBFONEY_MARKETING_API_KEY_{$country.iso_code|escape:'htmlall':'UTF-8'}">
                                                    {l s='Marketing API key' mod='threebyfouroney'}
                                                </label>
                                                <div class="col-lg-7">
                                                    <div class="input-group">
                                                        <div class="input-group-addon">
                                                            <span class="input-group-text">
                                                                {assign var=franceOverseasTerritoriesCodes value=['GP', 'GF', 'RE', 'MQ', 'YT', 'NC', 'PF', 'BL', 'MF', 'PM', 'WF']}
                                                                {if in_array($country.iso_code, $franceOverseasTerritoriesCodes)}
                                                                    <img src="{$moduleDir|escape:'html':'UTF-8'}views/img/wizard/flags/fr.png" class="figure-img img-fluid rounded" alt="{$country.name}" />
                                                                {else}
                                                                    <img src="{$moduleDir|escape:'html':'UTF-8'}views/img/wizard/flags/{strtolower($country.iso_code)}.png" class="figure-img img-fluid rounded" alt="{$country.name}" />
                                                                {/if}
                                                            </span>
                                                        </div>
                                                        <input
                                                            type="text"
                                                            name="TBFONEY_MARKETING_API_KEY_{$country.iso_code|escape:'htmlall':'UTF-8'}"
                                                            id="TBFONEY_MARKETING_API_KEY_{$country.iso_code|escape:'htmlall':'UTF-8'}"
                                                            value="{if !empty($TBFONEY_MARKETING_API_KEY_{$country.iso_code|escape:'htmlall':'UTF-8'})}{$TBFONEY_MARKETING_API_KEY_{$country.iso_code|escape:'htmlall':'UTF-8'}}{/if}"
                                                            class=""
                                                            placeholder="{l s='E.g. 24afbcedebab4211bc21ea8dc80637fb' mod='threebyfouroney'}"
                                                        >
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label col-lg-3 required" for="TBFONEY_PAYMENT_API_KEY_{$country.iso_code|escape:'htmlall':'UTF-8'}">
                                                    {l s='Payment API key' mod='threebyfouroney'}
                                                </label>
                                                <div class="col-lg-7">
                                                    <div class="input-group">
                                                        <div class="input-group-addon">
                                                            <span class="input-group-text">
                                                                {assign var=franceOverseasTerritoriesCodes value=['GP', 'GF', 'RE', 'MQ', 'YT', 'NC', 'PF', 'BL', 'MF', 'PM', 'WF']}
                                                                {if in_array($country.iso_code, $franceOverseasTerritoriesCodes)}
                                                                    <img src="{$moduleDir|escape:'html':'UTF-8'}views/img/wizard/flags/fr.png" class="figure-img img-fluid rounded" alt="{$country.name}" />
                                                                {else}
                                                                    <img src="{$moduleDir|escape:'html':'UTF-8'}views/img/wizard/flags/{strtolower($country.iso_code)}.png" class="figure-img img-fluid rounded" alt="{$country.name}" />
                                                                {/if}
                                                            </span>
                                                        </div>
                                                        <input
                                                            type="text"
                                                            name="TBFONEY_PAYMENT_API_KEY_{$country.iso_code|escape:'htmlall':'UTF-8'}"
                                                            id="TBFONEY_PAYMENT_API_KEY_{$country.iso_code|escape:'htmlall':'UTF-8'}"
                                                            value="{if !empty($TBFONEY_PAYMENT_API_KEY_{$country.iso_code|escape:'htmlall':'UTF-8'})}{$TBFONEY_PAYMENT_API_KEY_{$country.iso_code|escape:'htmlall':'UTF-8'}}{/if}"
                                                            class=""
                                                            placeholder="E.g. 24afbcedebab4211bc21ea8dc80637fb"
                                                        >
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <div class="panel-footer">
                                            <div class="pull-right">
                                                <button
                                                    type="submit"
                                                    value="1"
                                                    id="submit-threebyfouroney-save-credentials-{$country.iso_code|escape:'htmlall':'UTF-8'}"
                                                    name="submitSaveCredentials"
                                                    class="btn btn-default"
                                                >
                                                    <i class="process-icon-save"></i>{l s='Save' mod='threebyfouroney'}
                                                </button>
                                            </div>
                                            <div class="pull-right" style="margin-right: 0.5rem;">
                                                <button
                                                    type="submit"
                                                    value="1"
                                                    id="submit-threebyfouroney-delete-credentials-{$country.iso_code|escape:'htmlall':'UTF-8'}"
                                                    name="submitDeleteCredentials"
                                                    class="btn btn-danger"
                                                >
                                                    <i class="process-icon-delete"></i> {l s='Delete' mod='threebyfouroney'}
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            {/foreach}
                        {else}
                            <div class="alert medium-alert alert-info" role="alert">    
                            <p class="alert-text">
                                    <span>{l s='No country activated. Please activate at least one coutry to start installation. If you are using multistore, make sure the country is activated for the current store.' mod='threebyfouroney'}</span>
                            </p>
                            <p class="alert-text">
                                    <span>{l s='To activate countries, navigate to:' mod='threebyfouroney'}</span>
                                    <b>{l s='International > Locations > Countries' mod='threebyfouroney'}</b>
                                </p>
                            </div>
                        {/if}
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>