{* NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/afl-3.0.php
 *
 * @author AXLERATION <contact@axleration.fr>
 * @copyright AXLERATION
 * @license https://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * @category Payment
*}
{if $isMultistoreActive}
<div class="alert medium-alert alert-info" role="alert">
	<p class="alert-text">
		{l s='Multi-shop detected. Please make sure you are in the context of the store you wish to configure the module.' mod='threebyfouroney'}
	</p>
</div>
{/if}
<div class="panel">
    <div class="row threebyfouroney-header">
		<div class="col-md-4">
			<img src="{$moduleDir|escape:'html':'UTF-8'}views/img/wizard/product-logo.png" id="product-logo" alt="Oney" />
			<figcaption class="figure-caption">
        		{l s='A product by Oney Bank' mod='threebyfouroney'}
      		</figcaption>
		</div>
		<div class="col-md-2 text-center">
			<img src="{$moduleDir|escape:'html':'UTF-8'}views/img/wizard/prerequisites/chrono-picto.png" id="chrono-picto" width="48px" />
			<br /><br />
			<p>{l s='Quick to set up "ready to use" solution' mod='threebyfouroney'}</p>
		</div>
		<div class="col-md-2 text-center">
			<img src="{$moduleDir|escape:'html':'UTF-8'}views/img/wizard/prerequisites/shield-picto.png" id="shield-picto" width="48px" />
			<br /><br />
			<p>{l s='Guarantee against credit card fraud and bad debts' mod='threebyfouroney'}</p>
		</div>
		<div class="col-md-2 text-center">
			<img src="{$moduleDir|escape:'html':'UTF-8'}views/img/wizard/prerequisites/money-picto.png" id="money-picto" width="48px" />
			<br /><br />
			<p>{l s='100% financing of the purchase price within 48 hours' mod='threebyfouroney'}</p>
		</div>
		<div class="col-md-2 text-center">
			<img src="{$moduleDir|escape:'html':'UTF-8'}views/img/wizard/prerequisites/people-picto.png" id="people-picto" width="48px" />
			<br /><br />
			<p>{l s='Acquisition of new customers' mod='threebyfouroney'}</p>
		</div>
	</div>

	<hr />
	
	<div class="threebyfouroney-content">
		<div class="row">
			<div class="col-md-6">
				<h2 class="h3">{l s='Disclaimer' mod='threebyfouroney'}</h2>
				<p>{l s='Before going any further, please note Oney 3x4x module respects Prestashop\'s philosophy and web standards. It has been tested and released for Prestashop\'s versions from 1.6.1 to 1.7.7 (currently last stable version).' mod='threebyfouroney'}</p>
				<p>{l s='Oney will decline all responsibility regarding:' mod='threebyfouroney'}</p>
				<ul>
					<li>{l s='Prestashop\'s versions incompatibilities other than ones listed above.' mod='threebyfouroney'}</li>
					<li>{l s='Custom Prestashop\'s core modifications.' mod='threebyfouroney'}</li>
					<li>{l s='Custom Prestashop\'s themes incompatibilities.' mod='threebyfouroney'}</li>
					<li>{l s='Oney\'s official module\'s modifications. Once shared with you or downloaded from Prestashop\'s addons website, the module must not be altered in any kind.' mod='threebyfouroney'}</li>
					<li>{l s='Any other Prestashop\'s modules that would add, modify, or remove content or features from Prestashop default behaviour or core functionalities.' mod='threebyfouroney'}</li>
				</ul>
				<p>{l s='Oney\'s support staff may ask to access your Prestashop\'s code to verify the integrity of information listed before and the engagement taken in the contract.' mod='threebyfouroney'}</p>
				<p>{l s='The support provided by Oney and your access to Oney\'s services may be revoked if terms of the contract or the product (module) provided had been violated.' mod='threebyfouroney'}</p>
				<p>{l s='[1]Multistore:[/1] Please make sure [1]you are not in group configuration context[/1] while configuring the module. Make sure you apply Oney\'s credentials and finalize the module\'s configuration for each of your active store.' tags=['<u>'] mod='threebyfouroney'}</p>
				<p>
					{l s='For any functional or technical information or issue, please refer to Oney\'s official documentation: ' mod='threebyfouroney'}
					<a href="https://docs.oney.com/docs/integration_mode/plugins_cms/04-prestashop/01-prerequisites" title="{l s='Developer Portal' mod='threebyfouroney'}" target="_blank">
						{l s='Developer Portal' mod='threebyfouroney'}
						<span>
							<i class="icon-external-link"></i>
						</span>
					</a>
				</p>
			</div>
			
			<div class="col-md-6">
				<div class="row">
					<div class="col-md-12">
						<h2 class="h3">{l s='Minimum technical requirements' mod='threebyfouroney'}</h2>
						<table class="table table-hover">
							<thead></thead>
							<tbody>
								<tr>
									<td>
										<span>{l s='3x4x Oney module\'s version' mod='threebyfouroney'}</span>
									</td>
									<td class="text-right">
										<span>{$moduleVersion}</span>
									</td>
								</tr>
								<tr>
									<td>
										<span class="text-{$checkPhpVersion.class}">PHP {$checkPhpVersion.php_version}</span>
									</td>
									<td class="text-right">
										{if $checkPhpVersion.class == 'success'}
											{if $checkPrestashopVersion.ps_version < '1.7'}
												<i class="icon-check text-success"></i>
											{else}
												<i class="material-icons text-success">check</i>
											{/if}
										{else}
											{if $checkPrestashopVersion.ps_version < '1.7'}
												<i class="icon-bug text-danger"></i>
												<a class="tooltip-link" title="{l s='Oney\s module is compatible with Prestashop versions from 1.6.1 to 1.7.7.' mod='threebyfouroney'}" data-placement="left" href="#">
													<i class="icon-question"></i>
												</a>
											{else}
												<i class="material-icons text-danger">clear</i>
												<a class="tooltip-link" title="{l s='Oney\s module is compatible with Prestashop versions from 1.6.1 to 1.7.7.' mod='threebyfouroney'}" data-placement="left" href="#">
													<i class="material-icons">help</i>
												</a>
											{/if}
										{/if}
									</td>
								</tr>
								<tr>
									<td>
										<span class="text-{$checkPrestashopVersion.class}">Prestashop {$checkPrestashopVersion.ps_version}</span>
									</td>
									<td class="text-right">
										{if $checkPrestashopVersion.class == 'success'}
											{if $checkPrestashopVersion.ps_version < '1.7'}
												<i class="icon-check text-success"></i>
											{else}
												<i class="material-icons text-success">check</i>
											{/if}
										{else}
											{if $checkPrestashopVersion.ps_version < '1.7'}
												<i class="icon-bug text-danger"></i>
												<a class="tooltip-link" title="{l s='Oney\s module is compatible with Prestashop versions from 1.6.1 to 1.7.7.' mod='threebyfouroney'}" data-placement="left" href="#">
													<i class="icon-question"></i>
												</a>
											{else}
												<i class="material-icons text-danger">clear</i>
												<a class="tooltip-link" title="{l s='Oney\s module is compatible with Prestashop versions from 1.6.1 to 1.7.7.' mod='threebyfouroney'}" data-placement="left" href="#">
													<i class="material-icons">help</i>
												</a>
											{/if}
										{/if}
									</td>
								</tr>
								<tr>
									<td>
										<span class="text-{$checkCurlExtension.class}">{$checkCurlExtension.name}</span>
									</td>
									<td class="text-right">
										{if $checkCurlExtension.class == 'success'}
											{if $checkPrestashopVersion.ps_version < '1.7'}
												<i class="icon-check text-success"></i>
											{else}
												<i class="material-icons text-success">check</i>
											{/if}
										{else}
											{if $checkPrestashopVersion.ps_version < '1.7'}
												<i class="icon-bug text-danger"></i>
												<a class="tooltip-link" title="{l s='Oney\s module is compatible with Prestashop versions from 1.6.1 to 1.7.7.' mod='threebyfouroney'}" data-placement="left" href="#">
													<i class="icon-question"></i>
												</a>
											{else}
												<i class="material-icons text-danger">clear</i>
												<a class="tooltip-link" title="{l s='Oney\s module is compatible with Prestashop versions from 1.6.1 to 1.7.7.' mod='threebyfouroney'}" data-placement="left" href="#">
													<i class="material-icons">help</i>
												</a>
											{/if}
										{/if}
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					<div class="col-md-12">
						<h2 class="h3">{l s='Automated task' mod='threebyfouroney'}</h2>
						<div class="alert medium-alert alert-info" role="alert">
							<p class="alert-text">
								{l s='This module must be able to update the order statuses. To do this, simply activate a scheduled task. To set up this scheduled task, you must access your hosting interface or contact your host. Define the task that performs the update every 2 hours. The following URL must be requested:' mod='threebyfouroney'}
								<u>{Context::getContext()->link->getModuleLink('threebyfouroney', 'updateorderstatus', ['token'=>$token|escape:'htmlall':'UTF-8'])}</u>

							</p>
						</div>
					</div>
				</div>
			</div>
		</div>

		<hr />
		
		<div class="row">
			<div class="col-md-12">
				<div class="row">
					<div class="col-md-12">
						<h2 class="h3">{l s='Accepted payment cards' mod='threebyfouroney'}</h2>
					</div>
					<div class="col-md-6">
						<img src="{$moduleDir|escape:'html':'UTF-8'}views/img/wizard/prerequisites/accepted-payment-cards.png" id="product-logo" alt="{l s='Accepted payment cards' mod='threebyfouroney'}" />
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<script>
	$(document).ready(function(){
		$('.tooltip-link').tooltip();
	});
</script>