{* NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/afl-3.0.php
 *
 * @author AXLERATION <contact@axleration.fr>
 * @copyright AXLERATION
 * @license https://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * @category Payment
*}
<script type="text/javascript">
    var adminThreeByFourOneyControllerURI = "{$adminThreeByFourOneyControllerURI}";
</script>

<div class="panel">
    <div class="row">
        <div class="col-md-6">
            <h2>{l s='Setting up your website and your orders' mod='threebyfouroney'}</h2>
        </div>
        <div class="col-md-6">
            {if $environmentConfig}
                <p class="text-right" style="margin-bottom: 8.5px; margin-top: 17px;">
                    {l s='Your configuration environment:' mod='threebyfouroney'}
                    <span class="badge badge-info">{ucfirst($environmentConfig)}</span>        
                </p>
            {/if}
            {if $moduleVersion}
                <p class="text-right">
                    {l s='Module\'s version:' mod='threebyfouroney'}
                    <b>{$moduleVersion}</b>
                </p>
            {/if}
        </div>
    </div>

    <hr />

    {if isset($alerts)}
        {include file='../shared/alerts.tpl'}
    {/if}
    
    <div class="threebyfouroney-content">
        <form
            id="store-and-orders-form"
            class="form-horizontal"
            action="{$formUri|escape:'htmlall':'UTF-8'}"
            method="post"
            enctype="multipart/form-data"
        >
            <div class="row">
                {* Automatic confirmation panel *}
                <div class="col-md-6">
                    <h4>{l s='Automatic confirmation' mod='threebyfouroney'}</h4>

                    <div class="form-wrapper">
                        <div class="form-group">
                            <div class="form-select">
                                <select name="TBFONEY_AUTOMATIC_CONFIRMATION" class="form-control custom-select">
                                    <option value="no" {if $automaticConfirmationConfig == 'no'}selected{/if}>{l s='No' mod='threebyfouroney'}</option>
                                    <option value="yes" {if $automaticConfirmationConfig == 'yes'}selected{/if}>{l s='Yes' mod='threebyfouroney'}</option>
                                </select>
                            </div>
                        </div>
                    </div>

                    <p>{l s='The automatic confirmation feature allows you to set an automated behaviour over the order process. This automated behaviour will automatically “ship” the order if the following conditions are respected: ' mod='threebyfouroney'}</p>
                    <ul>
                        <li>{l s='If Oney Web Service return a [1]FAVORABLE[/1] status' tags=['<b>'] mod='threebyfouroney'}</li>
                        <li>{l s='If [1]quantities of the ordered item(s) are available[/1] in your stock' tags=['<b>'] mod='threebyfouroney'}</li>
                    </ul>
                    <p>{l s='Once the automatic validation is [1]“enabled”[/1] and the conditions described before are respected, on every order the process will automatically “ship” the order to the customer without waiting manual intervention.' tags=['<b>'] mod='threebyfouroney'}</p>

                </div>
                {* Store category panel *}
                <div class="col-md-6">
                    <h4>{l s='Store category' mod='threebyfouroney'}</h4>
                        
                    <div class="form-wrapper">
                        <div class="form-group">
                            <div class="form-select">
                                <select name="TBFONEY_STORE_CATEGORY" class="form-control custom-select">
                                    {foreach from=$storeCategories item=category key=key name=categories}
                                        <option value="{$key}" {if $storeCategoryConfig == $key}selected{/if}>{l s=$category mod='threebyfouroney'}</option>    
                                    {/foreach}
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <hr />

            {* Carrier panel *}
            <div class="row">
                <div class="col-md-12">
                    <h4>{l s='Carriers configuration' mod='threebyfouroney'}</h4>
                    <p>
                        {l s='Oney\'s antifraud department requires further information regarding active carriers on your store. In this section all the active carriers are listed, if some carriers are missing, please refer to Shipping > Carriers in your administration panel. For more details about this section\'s configuration refer to Oney\'s official documentation:' mod='threebyfouroney'}
                        <a href="https://docs.oney.com/docs/integration_mode/plugins_cms/04-prestashop/04-plugin_configuration#store-and-orders-configuration" title="{l s='Developer Portal' mod='threebyfouroney'}" target="_blank">
                            {l s='Developer Portal' mod='threebyfouroney'}
                            <span>
                                <i class="icon-external-link"></i>
                            </span>
                        </a>.
                    </p>

                    <table class="table">
                        <thead>
                            <tr>
                                <th><b>{l s='Carriers' mod='threebyfouroney'}</b></th>
                                <th>{l s='[1]Address type[/1] based on [1]Delivery mode[/1]' tags=['<b>'] mod='threebyfouroney'}</th>
                                <th><b>{l s='Delivery option' mod='threebyfouroney'}</b></th>
                                <th><b>{l s='Priority delivery' mod='threebyfouroney'}</b></th>
                                <th><b>{l s='Associated store' mod='threebyfouroney'}</b></th>
                            </tr>
                        </thead>
                        <tbody>
                            {if $activeCarriers}
                                {foreach from=$activeCarriers item=carrier key=key name=carriers}
                                    <tr>
                                        <td>
                                            {$carrier.name}
                                        </td>
                                        <td>
                                            <select name="TBFONEY_ADDRESS_TYPE_{$carrier.id_carrier}" class="address-type-select form-control custom-select">
                                                {foreach from=$addressTypes item=addressType key=key name=addressTypes}
                                                    <option value="{$key}" {if !empty($TBFONEY_ADDRESS_TYPE_{$carrier.id_carrier}) && $TBFONEY_ADDRESS_TYPE_{$carrier.id_carrier} == $key}selected{/if}>{l s=$addressType mod='threebyfouroney'}</option>
                                                {/foreach}
                                            </select>
                                            <input name="TBFONEY_DELIVERY_MODE_{$carrier.id_carrier}" class="hidden-delivery-mode-code" value="{if !empty($TBFONEY_DELIVERY_MODE_{$carrier.id_carrier})}{$TBFONEY_DELIVERY_MODE_{$carrier.id_carrier}}{else}1{/if}" type="hidden" />
                                            <input name="TBFONEY_CARRIER_ID_{$carrier.id_carrier}" class="hidden-carrier-id" value="{$carrier.id_carrier}" type="hidden" />
                                        </td>
                                        <td>
                                            <select name="TBFONEY_DELIVERY_OPTION_{$carrier.id_carrier}" class="delivery-option-select form-control custom-select">
                                                {foreach from=$deliveryOptions item=deliveryOption key=key name=deliveryOptions}
                                                    <option value="{$key}" {if !empty($TBFONEY_DELIVERY_OPTION_{$carrier.id_carrier}) && $TBFONEY_DELIVERY_OPTION_{$carrier.id_carrier} == $key}selected{/if}>{l s=$deliveryOption mod='threebyfouroney'}</option>
                                                {/foreach}
                                            </select>
                                        </td>
                                        <td>
                                            <select name="TBFONEY_PRIORITY_DELIVERY_{$carrier.id_carrier}" class="priority-delivery-select form-control custom-select">
                                                {foreach from=$priorityDeliveries item=priorityDelivery key=key name=priorityDeliveries}
                                                    <option value="{$key}" {if !empty($TBFONEY_PRIORITY_DELIVERY_{$carrier.id_carrier}) && $TBFONEY_PRIORITY_DELIVERY_{$carrier.id_carrier} == $key}selected{/if}>{l s=$priorityDelivery mod='threebyfouroney'}</option>
                                                {/foreach}
                                            </select>
                                        </td>
                                        <td>
                                            <select name="TBFONEY_ASSOCIATED_STORE_{$carrier.id_carrier}" class="associated-store-select form-control custom-select">
                                                <option value="0">{l s='Please select a store associated to pickup' mod='threebyfouroney'}</option>
                                                {foreach from=$activeStores item=store key=key name=stores}
                                                    <option value="{$store.id_store}" {if !empty($TBFONEY_ASSOCIATED_STORE_{$carrier.id_carrier}) && $TBFONEY_ASSOCIATED_STORE_{$carrier.id_carrier} == $store.id_store}selected{/if}>{$store.name}</option>
                                                {/foreach}
                                            </select>
                                        </td>
                                    </tr>
                                {/foreach}
                            {else}
                                <tr>
                                    <td>
                                        {l s='No carrier configured. Please check your Carriers\' configuration before finalizing Oney\'s module configuration.' mod='threebyfouroney'}
                                    </td>
                                </tr>
                            {/if}
                        </tbody>
                    </table>
                </div>
            </div>

            <hr />

            <div class="row">
                {* Template options panel *}
                <div class="col-md-12">
                    <h4>{l s='Template options' mod='threebyfouroney'}</h4>
                    <p>{l s='This option allows you to show or hide the horizontal and vertical banner on your store.' mod='threebyfouroney'}</p>
                        
                    <div class="form-wrapper">
                        <div class="form-select">
                            <label class="control-label required">{l s='Horizontal banner' mod='threebyfouroney'}</label>
                            <select name="TBFONEY_HORIZONTAL_BANNER" class="form-control custom-select">
                                <option value="show" {if $horizontalBannerConfig == 'show'}selected{/if}>
                                    {l s='Show' mod='threebyfouroney'}
                                </option>
                                <option value="hide" {if $horizontalBannerConfig == 'hide'}selected{/if}>
                                    {l s='Hide' mod='threebyfouroney'}
                                </option>
                            </select>
                            <small class="text-muted">{l s='This option shows or hides the horizontal banner on the home page of your store.' mod='threebyfouroney'}</small>     
                        </div>
                        <div class="form-select">
                            <label class="control-label required">{l s='Vertical banner' mod='threebyfouroney'}</label>
                            <select name="TBFONEY_VERTICAL_BANNER" class="form-control custom-select">
                                <option value="show" {if $verticalBannerConfig == 'show'}selected{/if}>
                                    {l s='Show' mod='threebyfouroney'}
                                </option>
                                <option value="hide" {if $verticalBannerConfig == 'hide'}selected{/if}>
                                    {l s='Hide' mod='threebyfouroney'}
                                </option>
                            </select>
                            <small class="text-muted">{l s='This option shows or hides the vertical banner found on the catalog page of your store.' mod='threebyfouroney'}</small>
                        </div>
                    </div>
                </div>
            </div>

            {if isset($credentialsCountryCodes)}
                {foreach from=$credentialsCountryCodes item=credentialCountryCode key=key name=credentialCountryCodes}
                    {if $credentialCountryCode === 'PT'}
                        <hr />
                        {* Portugal panel *}
                        <div class="row">
                            <div class="col-md-12">
                                <h4>{l s='Dedicated country features' mod='threebyfouroney'}</h4>
                                <ul class="nav nav-tabs" id="oney-store-tab" role="tablist">
                                    <li class="nav-item active">
                                        <a
                                            class="nav-link"
                                            id="portugal-store-tab"
                                            data-toggle="tab"
                                            href="#portugal-store"
                                            role="tab"
                                            aria-controls="portugal-store"
                                            aria-expanded="true"
                                        >{l s='Portugal' mod='threebyfouroney'}</a>
                                    </li>
                                </ul>

                                <div class="tab-content" id="oney-store-tab-content">
                                    <div
                                        class="tab-pane active"
                                        id="portugal-store"
                                        role="tabpanel"
                                        aria-labelledby="portugal-store-tab"
                                    >
                                        <div class="panel">
                                            <div class="form-wrapper">
                                                
                                                <div class="form-group">
                                                    <div class="form-select">
                                                        <label class="control-label col-lg-3 required">{l s='Credit intermediary' mod='threebyfouroney'}</label>
                                                        <div class="col-lg-7">
                                                            <select id="TBFONEY_PT_IS_CREDIT_INTERMEDIARY" name="TBFONEY_PT_IS_CREDIT_INTERMEDIARY" class="form-control custom-select is-credit-intermediary-select">
                                                                <option value="no" {if $ptIsCreditIntermediaryConfig === 'no'}selected{/if}>
                                                                    {l s='No' mod='threebyfouroney'}
                                                                </option>
                                                                <option value="yes" {if $ptIsCreditIntermediaryConfig === 'yes'}selected{/if}>
                                                                    {l s='Yes' mod='threebyfouroney'}
                                                                </option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                                
                                                <div class="form-group">
                                                    <div class="form-select">
                                                        <label class="control-label col-lg-3 required">{l s='Excusive regime' mod='threebyfouroney'}</label>
                                                        <div class="col-lg-7">
                                                            <select id="TBFONEY_PT_IS_EXCLUSIVITY_REGIME" name="TBFONEY_PT_IS_EXCLUSIVITY_REGIME" class="form-control custom-select">
                                                                <option value="no" {if $ptIsExclusiveRegimeConfig == 'no'}selected{/if}>
                                                                    {l s='No' mod='threebyfouroney'}
                                                                </option>
                                                                <option value="yes" {if $ptIsExclusiveRegimeConfig == 'yes'}selected{/if}>
                                                                    {l s='Yes' mod='threebyfouroney'}
                                                                </option>
                                                            </select>
                                                            <small class="text-muted">{l s='If your contract with Oney indicates that your exclusive plan is indicated.' mod='threebyfouroney'}</small>
                                                        </div>
                                                    </div>
                                                </div>
                                                
                                                <div class="form-group pt-legal-designation-group">
                                                    <label class="control-label col-lg-3 required" for="TBFONEY_PT_COMPANY_LEGAL_DESIGNATION">{l s='Legal designation of the company' mod='threebyfouroney'}</label>
                                                    <div class="col-lg-7">
                                                        <input type="texte" id="TBFONEY_PT_COMPANY_LEGAL_DESIGNATION" class="form-control" name="TBFONEY_PT_COMPANY_LEGAL_DESIGNATION" value="{if $ptCompanyLegalDesignationConfig}{$ptCompanyLegalDesignationConfig}{/if}" />
                                                    </div>
                                                </div>
                                                
                                                <div id="pt-legal-document-group" class="form-group">
                                                    <div class="custom-file">
                                                        <label class="custom-file-label control-label col-lg-3 required" for="TBFONEY_PT_LEGAL_DOCUMENT">
                                                            {l s='Legal document' mod='threebyfouroney'}
                                                        </label>
                                                        <div class="col-lg-7">
                                                            <input
                                                                type="file"
                                                                class="custom-file-input form-control"
                                                                name="TBFONEY_PT_LEGAL_DOCUMENT"
                                                                id="TBFONEY_PT_LEGAL_DOCUMENT"
                                                            />
                                                        </div>
                                                    </div>
                                                </div>
                                                {if isset($ptLegalDocument) && !empty($ptLegalDocument)}
                                                    <div class="form-group">
                                                        <label class="custom-file-label control-label col-lg-3 required" for="TBFONEY_PT_LEGAL_DOCUMENT">
                                                            {l s='Legal document' mod='threebyfouroney'}
                                                        </label>
                                                        <div class="col-lg-7">
                                                            <p class="control-label" style="text-align: left;">
                                                                <span>
                                                                    <a href="{$ptLegalDocument|escape:'htmlall':'UTF-8'}" target="_blank" class="btn btn-xs btn-link">
                                                                        <span>{l s='Consult legal document' mod='threebyfouroney'}</span>
                                                                        <i class="icon-external-link"></i>
                                                                    </a>
                                                                </span>
                                                                <span>
                                                                    <button type="button" id="change-legal-document" class="btn btn-xs btn-secondary">
                                                                        <span>{l s='Change legal document' mod='threebyfouroney'}</span>
                                                                        <i class="icon-pencil"></i>
                                                                    </button>
                                                                </span>

                                                                <span>
                                                                    <button type="button" onClick="deleteLegalFile()" class="btn btn-xs btn-danger">
                                                                        <span>{l s='Delete legal document' mod='threebyfouroney'}</span>
                                                                        <i class="icon-trash"></i>
                                                                    </button>
                                                                </span>
                                                            </p>
                                                        </div>
                                                    </div>
                                                {/if}
                                                <p id="threebyfouroney-delete-legal-file-message" class="hidden">{l s='This action is irreversible, are you sure you want to continue?' mod='threebyfouroney'}</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {/if}
                {/foreach}
            {/if}

            <div class="row">
                <div class="col-md-12">
                    <div class="panel-footer">
                        <div class="pull-right">
                            <button
                                type="submit"
                                value="1"
                                id="submit-three-by-four-save-store"
                                name="submitSaveStoreAndOrders"
                                class="btn btn-default"
                            >
                                <i class="process-icon-save"></i> {l s='Save' mod='threebyfouroney'}
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

<script type="text/javascript">

    $(document).ready(function() {
        $('#store-and-orders-form select.address-type-select').on('change', function() {
            var selectedAddressType = $(this).find(':selected').val();
            switch (selectedAddressType) {
                case '1':
                case '2':
                case '3':
                    selectedAddressType;
                    break;
                case '4':
                case '5':
                    selectedAddressType = '4';
                    break;
                case '6':
                    selectedAddressType = '5';
                    break;
                default:
                    selectedAddressType = '1';
            }
            $(this).parent().find('.hidden-delivery-mode-code').val(selectedAddressType);
        });

        var saveStoreAndOrdersSubmit = document.getElementById('submit-three-by-four-save-store');
        var legalDocumentGroup = document.getElementById('pt-legal-document-group');
        var legalDocumentInput = document.getElementById('TBFONEY_PT_LEGAL_DOCUMENT');
        var changeLegalDocumentButton = document.getElementById('change-legal-document');
        var companyLegalDesignationInput = document.getElementById('TBFONEY_PT_COMPANY_LEGAL_DESIGNATION');
        var ptLegalDocument = '{$ptLegalDocument}';
        
        if (companyLegalDesignationInput != null)
        {
            if ((companyLegalDesignationInput.value.length > 0) && ((legalDocumentInput.value.length > 0) || (ptLegalDocument.length > 0)))
            {
                saveStoreAndOrdersSubmit.disabled = false;
            } else {
                saveStoreAndOrdersSubmit.disabled = true;
            }   
        }
        
        if (companyLegalDesignationInput && legalDocumentInput && saveStoreAndOrdersSubmit)
        {
            [companyLegalDesignationInput, legalDocumentInput].forEach(
                (element) => {
                    element.addEventListener('blur', (event) => {
                        if ((legalDocumentInput.value.length > 0) && (event.target.value.length > 0))
                        {
                            saveStoreAndOrdersSubmit.disabled = false;
                        } else {
                            saveStoreAndOrdersSubmit.disabled = true;
                        }
                    });
                }
            );
        }

        if (legalDocumentGroup)
        {
            if (ptLegalDocument.length > 0)
            {
                legalDocumentGroup.classList.add('hidden');
            }
        }

        if (changeLegalDocumentButton)
        {
            changeLegalDocumentButton.addEventListener('click', () => {
                legalDocumentInput.click();
            });
        }
    });
</script>