{* NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/afl-3.0.php
 *
 * @author AXLERATION <contact@axleration.fr>
 * @copyright AXLERATION
 * @license https://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * @category Payment
*}
<div class="container">
    <div class="row threebyfouroney-config-header">
        <div class="col-md-12 wizard">
            <div class="wizard-nav">
                <ul class="wizard-tabs wizard" role="tablist">
                    <div class="wizard-nav-background"></div>
                    {foreach from=$wizardBuilder item=step key=key name=wizard}
                        <li class="wizard-step {if $step.number === $wizardConfig}active{elseif $step.number < $wizardConfig}validated{/if}">
                            <div class="step">
                                {$step.number}
                            </div> 
                            {if ($step.has_link) && ($step.number != $wizardConfig)}
                                <a href="{$step.anchor}" onclick="wizardNavigateToSelectedtStep({$step.number})">
                                    {$step.title}
                                </a>
                            {else}
                                {$step.title}
                            {/if}
                            
                        </li>
                    {/foreach}
                </ul>
            </div>
        </div>
    </div>

    <!-- Tab panes -->
    <div class="row moduleconfig-content">
        <div class="col-md-12">
            <div class="tab-content">
                <div class="tab-pane {if $wizardConfig === 1}active{/if}" id="#prerequisites">
                    {include file='./steps/prerequisites.tpl'}
                </div>
                <div class="tab-pane {if $wizardConfig === 2}active{/if}" id="#credentials">
                    {include file='./steps/credentials.tpl'}
                </div>
                <div class="tab-pane {if $wizardConfig === 3}active{/if}" id="#store">
                    {include file='./steps/store_and_orders.tpl'}
                </div>
                <div class="tab-pane {if $wizardConfig === 4}active{/if}" id="#advanced">
                    {include file='./steps/advanced.tpl'}
                </div>
                <div class="tab-pane {if $wizardConfig === 5}active{/if}" id="#business_transactions">
                    {include file='./steps/business_transactions.tpl'}
                </div>
                {include file='./wizard_actions.tpl'}
            </div>
        </div>
    </div>
</div>