{* NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/afl-3.0.php
 *
 * @author AXLERATION <contact@axleration.fr>
 * @copyright AXLERATION
 * @license https://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * @category Payment
*}
<form id="wizard-form" class="form-horizontal" action="{$formUri|escape:'htmlall':'UTF-8'}" method="post" enctype="multipart/form-data">
    <div class="panel">
        {if $wizardConfig === 1}
            <div class="row">
                <div class="col-md-6 col-lg-push-6">
                    <div class="form-check">
                        <label class="form-check-label">
                            <input
                                id="terms-checkbox"
                                class="form-check-input"
                                type="checkbox"
                                name="TBFONEY_IS_TERMS_ACCEPTED"
                                value="{$isTermsAcceptedConfig}"
                                {if $isTermsAcceptedConfig}checked="checked"{/if}
                            />
                            {l s='By continuing the installation of this module, I certify that I have read and understood the general conditions of use, the user documentation and the objective of this module.' mod='threebyfouroney'}
                        </label>
                    </div>
                </div>
            </div>
            <br />
        {/if}
        <div class="row wizard-actions">
            {if $wizardConfig !== 1}
                <div class="col-md-6">
                    <div class="text-left">
                        <input
                            type="submit"
                            value="{l s='Previous step' mod='threebyfouroney'}"
                            id="submit-wizard-previous-step"
                            name="submitWizardPreviousStep"
                            class="btn btn-oney btn-previous"
                        />
                    </div>
                </div>
            {/if}
            {if $wizardConfig !== 5}
                <div class="col-md-6 {if $wizardConfig == 1}col-lg-push-6{/if}">
                    <div class="text-right">
                        <input
                            type="submit"
                            value="{l s='Next step' mod='threebyfouroney'}"
                            id="submit-wizard-next-step"
                            name="submitWizardNextStep"
                            class="btn btn-oney btn-next {if $isTermsAcceptedConfig === false}disabled{/if}"
                        />
                    </div>
                </div>
            {/if}
        </div>
    </div>
</form>

<script type="text/javascript">

    if (window.history.replaceState)
    {
        window.history.replaceState( null, null, window.location.href );
    }

    var currentWizardStep = {$wizardConfig}
    var checkPhpVersion = {$checkPhpVersion.is_valid};
    var checkPrestashopVersion = {$checkPrestashopVersion.is_valid};
    var checkCurlExtension = {$checkCurlExtension.is_valid};

    {if isset($credentialsCountryCodes)}
        var credentialsCountryCodes = {$credentialsCountryCodes|json_encode};
    {else}
        var credentialsCountryCodes = [];
    {/if}


    if (currentWizardStep === 1)
    {        
        if (checkPhpVersion && checkPrestashopVersion && checkCurlExtension)
        {
            $('#terms-checkbox').change(function(){
                if($(this).is(":checked")) {
                    $('.btn-next').removeClass('disabled');
                } else {
                    $('.btn-next').addClass('disabled');
                }
            });
        }
    }

    if (currentWizardStep === 2)
    {
        var checkCredentialsValidity = {$checkCredentialsValidity};
        checkCredentialsValidity ? $('.btn-next').removeClass('disabled') : $('.btn-next').addClass('disabled');
    }

    if ((currentWizardStep === 3))
    {
        credentialsCountryCodes.forEach(
            (element) => {
                if (element === 'PT')
                {
                    var checkSpecifiCountriesValidity = {$checkSpecifiCountriesValidity};
                    checkSpecifiCountriesValidity ? $('.btn-next').removeClass('disabled') : $('.btn-next').addClass('disabled');
                }
            }
        );
    }

</script>