{* NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/afl-3.0.php
 *
 * @author AXLERATION <contact@axleration.fr>
 * @copyright AXLERATION
 * @license https://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * @category Payment
*}
{foreach from=$options item=option key=key name=options}
    {if (isset($customerCurrentCountryCode) && $customerCurrentCountryCode != 'PT') || (isset($ptIsCreditIntermediaryConfig) && $ptIsCreditIntermediaryConfig == 'yes')}
        <a href="{$paymentController|escape:'htmlall':'UTF-8'}&business_transaction_code={$option['business_transaction_code']}">
            <section id="threebyfouroney-checkout" class="threebyfouroney-banners">
                <div class="checkout-content">
                    <div class="logo-34">
                        {if $option['number_of_instalments'] > 1}
                            <div class="round-icons">
                                <div class="round-icon">
                                    <div>{$option['number_of_instalments']}</div><div>x</div>
                                </div>
                            </div>
                            <div class="oney-logo">
                                <img class="desktop_logo" src="{$moduleDir|escape:'html':'UTF-8'}views/img/logo-white.svg" alt="Oney">
                            </div>
                        {else}
                            <div class="oney-logo">
                                <img class="desktop_logo" src="{$moduleDir|escape:'html':'UTF-8'}views/img/business_transactions/1.png" style="max-width: 116px !important" alt="Oney">
                            </div>
                        {/if}
                        {if (isset($customerCurrentCountryCode) && $customerCurrentCountryCode == 'ES') || (isset($customerCurrentCountryCode) && $customerCurrentCountryCode == 'IT')}
                            <div class="title">
                                <h4 class="green">{l s='Pay with' mod='threebyfouroney'}</h4>
                                <h4 class="green bold">{l s='your credit card' mod='threebyfouroney'}</h4>
                            </div>
                        {/if}
                    </div>
                    <div class="free_element">
                        {if $option['free_business_transaction'] == true}
                            <span>{l s='free of charge' mod='threebyfouroney'}</span>
                        {/if}
                    </div>
                    <div class="payment-detail">
                        <table>
                            <tbody>
                            <tr>
                                <td {if $option['number_of_instalments'] == 1}class="total"{/if}>
                                    {l s='Total value' mod='threebyfouroney'}
                                </td>
                                <td {if $option['number_of_instalments'] == 1}class="total"{/if}>
                                    {Tools::displayPrice($option['cost'])}
                                </td>
                            </tr>
                            <tr>
                                <td class="today">
                                {if $option['number_of_instalments'] > 1}
                                    <span class="bold">{l s='First payment due today' mod='threebyfouroney'}</span>
                                {else}
                                    <span>{l s='Payment will be debited automatically within %1$d days of order confirmation.' sprintf=$paymentLenght  mod='threebyfouroney'}</span>
                                {/if}
                                </td>
                                {if $option['number_of_instalments'] > 1}
                                    <td class="today bold">{Tools::displayPrice($option['first_instalment_cost'])}</td>
                                {/if}
                            </tr>
                            {if $option['number_of_instalments'] > 1}
                                <tr>
                                    <td>
                                        {l s='Including cost of credit' mod='threebyfouroney'}
                                    </td>
                                    <td>{Tools::displayPrice($option['fees'])}</td>
                                </tr>
                            {/if}
                            {if $option['number_of_instalments'] > 1}
                                <tr>
                                    <td class="bold">
                                        {l s='Monitoring of' mod='threebyfouroney'}
                                        {$option['instalments']}
                                        {l s='monthly payments of' mod='threebyfouroney'}
                                    </td>
                                    <td class="bold">{Tools::displayPrice($option['first_following_amount'])}</td>
                                </tr>
                            {else}
                                <tr>
                                    <td class="bold">
                                        {l s='Payment:' mod='threebyfouroney'}
                                    </td>
                                    <td class="bold">{Tools::displayPrice($option['first_following_amount'])}</td>
                                </tr>
                                <tr>
                                    <td>
                                        {l s='Including cost of credit' mod='threebyfouroney'}
                                    </td>
                                    <td>{Tools::displayPrice($option['fees'])}</td>   
                                </tr>
                            {/if}
                            {if $customerCurrentCountryCode == 'FR' || $customerCurrentCountryCode == 'PT' || $customerCurrentCountryCode == 'IT' || $customerCurrentCountryCode == 'RO' || $customerCurrentCountryCode == 'ES'}
                                <tr>
                                    <td {if $option['number_of_instalments'] > 1}class="taeg bold"{/if}>
                                        {l s='TAEG' mod='threebyfouroney'}
                                    </td>
                                    <td {if $option['number_of_instalments'] > 1}class="taeg bold"{/if}>
                                        {$option['annual_percentage_rate']}%
                                    </td>
                                </tr>
                            {/if}
                            {if $customerCurrentCountryCode == 'ES' || $customerCurrentCountryCode == 'PT'}
                                <tr>
                                    <td>
                                        {l s='TIN' mod='threebyfouroney'}
                                    </td>
                                    <td>
                                        {$option['annual_nominal_rate']}%
                                    </td>
                                </tr>
                            {/if}
                            {if $customerCurrentCountryCode == 'PT'}
                                <tr>
                                    <td>
                                        {l s='MTIC' mod='threebyfouroney'}
                                    </td>
                                    <td>
                                        {Tools::displayPrice($option['total_cost'])}
                                    </td>
                                </tr>
                            {/if}
                            </tbody>
                        </table>
                    </div>
                </div>
            </section>
        </a>
        {elseif isset($customerCurrentCountryCode) && $customerCurrentCountryCode == 'PT'}
        <section id="threebyfouroney-checkout" class="threebyfouroney-banners pt-nidc">
            <div class="checkout-content">
                <a href="https://www.oney.pt/3x-4x-oney" target="_blank">
                    <img class="desktop_logo"
                         src="{$moduleDir|escape:'html':'UTF-8'}views/img/3x4x-brand-logo.png"
                         alt="3x4x Oney logo">
                </a>
            </div>
        </section>
    {/if}
{/foreach}