{* NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/afl-3.0.php
 *
 * @author AXLERATION <contact@axleration.fr>
 * @copyright AXLERATION
 * @license https://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * @category Payment
*}
{if (isset($customerCurrentCountryCode) && $customerCurrentCountryCode != 'PT') || (isset($ptIsCreditIntermediaryConfig) && $ptIsCreditIntermediaryConfig == 'yes')}
    <div id="threebyfouroney-horizontal-banner" class="threebyfouroney-banners container">
        <div class="top content">
            <div class="logo-l content">
                <img class="desktop_logo" src="{$moduleDir|escape:'html':'UTF-8'}views/img/logo-white.svg" alt="Oney">
            </div>
            <div class="payment content">
                <div class="payment-title sized green">{l s='Pay in' mod='threebyfouroney'}</div>
                <div class="payment-choice">
                    <div class="round-icons">
                        {foreach from=$activeBusinessTransactionsInstalments item=activeBTInstalment key=key name=activeBTInstalments}
                            <div class="round-icon round-icon-l">
                                <div class="sized-l">{$activeBTInstalment.minimum_number_of_instalments}</div><div class="sized-l">x</div>
                            </div>
                        {/foreach}
                    </div>
                    <div class="sized green">
                        {l s='[1]By credit[/1][2][3]card[/3]' tags=['<span>', '<br />', '<b>'] mod='threebyfouroney'}
                    </div>
                </div>
                {if $isFreeTransaction == true}
                    <div class="payment-commission green">{l s='Free of charge' mod='threebyfouroney'}</div>
                {/if}
            </div>
        </div>

        <div class="bottom content">
            {if isset($customerCurrentCountryCode) && $customerCurrentCountryCode == 'PT'}
                <div class="condition">
                    <div class="condition-title">TAEG de 0,0%</div>
                    <div class="condition-description">
                        <span>calculada com base na TAN de 0,00%.</span>
                        <span>Crédito Pessoal para montantes de financiamento de <b>75€ a 2.000€ pagos em 3 prestações, ou de 75€ a 2.000€ pagos em 4 prestações, com cartão de débito ou de crédito das redes Visa® ou Mastercard®,</b> sem juros nem encargos. Adesão ao crédito sujeito à aprovação. Informe-se junto do Oney Bank em oney.pt.</span>
                        <span>O/A</span>
                        {if (isset($ptCompanyLegalDesignationConfig) || !empty($ptCompanyLegalDesignationConfig))}
                            {$ptCompanyLegalDesignationConfig}
                        {/if}
                        <span>atua como intermediário de crédito a título acessório em regime</span>
                        {if (isset($ptIsExclusiveRegimeConfig) && $ptIsExclusiveRegimeConfig == 'yes')}
                            <span>de exclusividade.</span>
                        {else}
                            <span>sem exclusividade.</span>
                        {/if}
                        {if (isset($ptLegalDocument) && !empty($ptLegalDocument))}
                            <span>Informação referente à prestação de serviços de intermediação de crédito disponível</span>
                            <a href="{$ptLegalDocument|escape:'htmlall':'UTF-8'}" class="link" target="_blank">aqui</a>.
                        {else}
                            <span>Informação referente à prestação de serviços de intermediação de crédito disponível.</span>
                        {/if}
                    </div>
                </div>
            {/if}
            <div class="footer content">
                <div class="round-icons">
                    <div class="round-icon round-icon-s">
                        <div>3</div><div>x</div>
                    </div>
                    {if isset($customerCurrentCountryCode) && $customerCurrentCountryCode != 'BE'}
                        <div class="round-icon round-icon-s">
                            <div>4</div><div>x</div>
                        </div>
                    {/if}
                </div>
                <div class="oney-logo">
                    <img class="desktop_logo" src="{$moduleDir|escape:'html':'UTF-8'}views/img/logo-white.svg" alt="Oney">
                </div>
                <a class="threebyfouroney-open-pedagogic-pop-in button pop-in" data-instalment="{$numberOfInstalments}" href="#">?</a>
            </div>
        </div>
    </div>
    {include file='./pedagogic_popin.tpl'}
{elseif isset($customerCurrentCountryCode) && $customerCurrentCountryCode == 'PT'}
    <div id="threebyfouroney-horizontal-banner" class="threebyfouroney-banners pt-nidc container">
        <div class="content">
            <div class="logo-l content">
                <img class="desktop_logo" src="{$moduleDir|escape:'html':'UTF-8'}views/img/3x4x-brand-logo.png" alt="3x4x Oney logo">
            </div>
            <div class="title sized content">
                <p>
                    <span>Saiba mais sobre</span>
                    <br/>
                    <span>esta parceria <a href="https://www.oney.pt/3x-4x-oney" class="link" target="_blank">aqui</a></span>
                </p>
            </div>
        </div>
    </div>
{/if}