{* NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/afl-3.0.php
 *
 * @author AXLERATION <contact@axleration.fr>
 * @copyright AXLERATION
 * @license https://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * @category Payment
*}

{foreach from=$numberOfInstalments item=instalment key=key name=instalment}
    <section id="threebyfouroney-pedagogic-pop-in" class="pedagogic-pop-in_modal-container-{$instalment} pedagogic-pop-in_modal" style="display: none;">
        <div class="pedagogic-pop-in_overlay" data-instalment="{$instalment}"></div>
        <div class="pedagogic-pop-in_modal-content">
            <div class="pop-in_header">
                <div class="return-button">
                    <a class="close-button_container" data-instalment="{$instalment}" href="#">
                        <img class="close-button" src="{$moduleDir}views/img/arrow-left.png" alt="left arrow">
                        <span>{l s='Return' mod='threebyfouroney'}</span>
                    </a>
                </div>
                {if $instalment > 1}
                    <h3>{l s='How to benefit ?' mod='threebyfouroney'}</h3>
                {else}
                    {if isset($customerCurrentCountryCode) && $customerCurrentCountryCode == 'FR'}
                        <h3>{l s='How to benefit?' mod='threebyfouroney'}</h3>
                    {/if}
                {/if}
            </div>
            <div class="checkpoint details-modal-content">
                <div class="checkpoint-bullet">
                        <div class="checkpoint-bullet_box"><div class="checkpoint-bullet_item item-1">1</div></div>
                        <div class="checkpoint-bullet_box"><div class="checkpoint-bullet_item item-2">2</div></div>
                        <div class="checkpoint-bullet_box last"><div class="checkpoint-bullet_item item-3">3</div></div>
                        <div class="line"></div>
                    </div>
                <div class="checkpoint_cards">
                    <div class="checkpoint_card card-1">
                        <div class="checkpoint_card-header">
                            {if $instalment > 1}
                                <h5 class="title green">{l s='Choose' mod='threebyfouroney'}</h5>
                            {else}
                                {if isset($customerCurrentCountryCode) && $customerCurrentCountryCode == 'FR'}
                                    <h5 class="title green">{l s='Choose' mod='threebyfouroney'}</h5>
                                {/if}
                            {/if}

                            <div class="checkpoint_card-content">
                                {if $instalment > 1}
                                    <div class="oney-logo_element">
                                        <div class="round-icons">
                                            <div class="round-icon">
                                                <div>3</div><div>x</div>
                                            </div>
                                            {if isset($customerCurrentCountryCode) && $customerCurrentCountryCode != 'BE'}
                                                <div class="round-icon">
                                                    <div>4</div><div>x</div>
                                                </div>
                                            {/if}
                                        </div>
                                        <img class="desktop_logo" src="{$moduleDir|escape:'html':'UTF-8'}views/img/logo-white.svg" alt="Oney">
                                    </div>
                                {else}
                                    {if isset($customerCurrentCountryCode) && $customerCurrentCountryCode == 'FR'}
                                        <img class="desktop_logo" src="{$moduleDir|escape:'html':'UTF-8'}views/img/paylater.png" alt="Oney">
                                        <div style="text-transform: uppercase; font-size: 1rem; color: #81bc00; float: right; line-height: 1rem; margin-left: 0.5rem;">{l s='Buy now[1] [2]pay later[/2]' tags=['<br />', '<b>'] mod='threebyfouroney'}</div>
                                    {/if}
                                {/if}
                                {if $isFreeTransaction == true}
                                    <div class="free_element">{l s='free of charge' mod='threebyfouroney'}</div>
                                {/if}
                            </div>
                        </div>
                        <div class="description">
                            {if $instalment > 1}
                                <div>{l s='When you select your payment method' mod='threebyfouroney'}</div>
                            {else}
                                {if isset($customerCurrentCountryCode) && $customerCurrentCountryCode == 'FR'}
                                    <div>{l s='When you select your payment method' mod='threebyfouroney'}</div>
                                {/if}
                            {/if}
                        </div>
                    </div>
                    <div class="checkpoint_card card-2">
                        {if $instalment > 1}
                            <h5 class="title green">{l s='Tell us everything' mod='threebyfouroney'}</h5>
                            <div class="description">{l s='Easy and fast, complete the form, without providing any document' mod='threebyfouroney'}</div>
                        {else}
                            {if isset($customerCurrentCountryCode) && $customerCurrentCountryCode == 'FR'}
                                <h5 class="title green">{l s='Complete the form' mod='threebyfouroney'}</h5>
                                <div class="description">{l s='And validate Oney\'s general terms and conditions without providing any documents' mod='threebyfouroney'}</div>
                            {/if}
                        {/if}
                    </div>
                    <div class="checkpoint_card card-3">
                        {if $instalment > 1}
                            <h5 class="title green">{l s='And there you go!' mod='threebyfouroney'}</h5>
                            <div class="description">{l s='You have an immediate response' mod='threebyfouroney'}</div>
                        {else}
                            {if isset($customerCurrentCountryCode) && $customerCurrentCountryCode == 'FR'}
                                <h5 class="title green">{l s='And there you go!' mod='threebyfouroney'}</h5>
                                <div class="description">{l s='You have an immediate response' mod='threebyfouroney'}</div>
                            {/if}
                        {/if}
                    </div>
                </div>
            </div>
            <div class="pop-in-condition details-modal-content">
                {if isset($customerCurrentCountryCode) && $customerCurrentCountryCode == 'BE'}
                    {include file='./pedagogic_popin/belgium_content.tpl' numberOfInstalments=$instalment}
                {elseif isset($customerCurrentCountryCode) && $customerCurrentCountryCode == 'FR'}
                    {include file='./pedagogic_popin/france_content.tpl' numberOfInstalments=$instalment}
                {elseif isset($customerCurrentCountryCode) && $customerCurrentCountryCode == 'IT'}
                    {include file='./pedagogic_popin/italy_content.tpl' numberOfInstalments=$instalment}
                {elseif isset($customerCurrentCountryCode) && $customerCurrentCountryCode == 'PT'}
                    {include file='./pedagogic_popin/portugal_content.tpl' numberOfInstalments=$instalment}
                {elseif isset($customerCurrentCountryCode) && $customerCurrentCountryCode == 'RO'}
                    {include file='./pedagogic_popin/romania_content.tpl' numberOfInstalments=$instalment}
                {elseif isset($customerCurrentCountryCode) && $customerCurrentCountryCode == 'ES'}
                    {include file='./pedagogic_popin/spain_content.tpl' numberOfInstalments=$instalment}
                {else}
                    {include file='./pedagogic_popin/france_content.tpl'}
                {/if}
            </div>
        </div>
    </section>
{/foreach}