{* NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/afl-3.0.php
 *
 * @author AXLERATION <contact@axleration.fr>
 * @copyright AXLERATION
 * @license https://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * @category Payment
*}
{if isset($simulations) && !empty($simulations)}
    <div class="tabs payment-detail">
        {foreach from=$simulations item=simulation key=key name=simulations}
            {if $simulation[0].last_instalment_number > 1}
                <input type="radio" name="tabs" id="tab{$key}" {if $key === 0 || $key === 1}checked="checked"{/if}/>
                <label class="round-icon" for="tab{$key}">
                    <div class="round-icon round-icon-s simulation-tooltip_icons">
                        <div>{$simulation[0].last_instalment_number}</div>
                        <div>x</div>
                    </div>
                </label>
                <div class="tab">
                    <div class="subtitle">
                        <p>
                            <span class="text">{l s='Payment details in' mod='threebyfouroney'}</span>
                            <span class="green">{$simulation[0].last_instalment_number}x</span>
                        </p>
                    </div>
                    <table>
                        <tbody>
                            {if $simulation[0].country_code == 'ES'}
                                <tr>
                                    <td>{l s='Total value' mod='threebyfouroney'}</td>
                                    <td>{Tools::displayPrice($simulation[0].payment_amount)}</td>
                                </tr>
                                <tr>
                                    <td class="total">{l s='Total amount due' mod='threebyfouroney'}</td>
                                    <td class="total">{Tools::displayPrice($simulation[0].total_cost + $simulation[0].payment_amount)}</td>
                                </tr>
                            {else}
                                <tr>
                                    <td class="total">{l s='Total value' mod='threebyfouroney'}</td>
                                    <td class="total">{Tools::displayPrice($simulation[0].total_cost + $simulation[0].payment_amount)}</td>
                                </tr>
                            {/if}
                            <tr>
                                <td class="today">
                                    <span class="bold">{l s='First payment due today' mod='threebyfouroney'}</span>
                                </td>
                                <td class="today bold">{Tools::displayPrice($simulation[0].down_payment_amount)}</td>
                            </tr>
                            <tr>
                                <td>
                                    {l s='Including cost of credit' mod='threebyfouroney'}
                                </td>
                                <td>{Tools::displayPrice($simulation[0].total_cost)}</td>
                            </tr>
                            <tr>
                                <td class="bold">
                                    {l s='Monitoring of' mod='threebyfouroney'}
                                    {$simulation[0].last_instalment_number - 1}
                                    {l s='monthly payments of' mod='threebyfouroney'}
                                </td>
                                <td class="bold">{Tools::displayPrice($simulation[0].last_instalment_amount)}</td>
                            </tr>
                            <tr>
                                {if $simulation[0].country_code == 'FR' || $simulation[0].country_code == 'PT' || $simulation[0].country_code == 'IT' || $simulation[0].country_code == 'ES'}
                                    <td class="taeg bold">
                                        {l s='TAEG' mod='threebyfouroney'}
                                    </td>
                                    <td class="taeg bold">
                                        {$simulation[0].effective_annual_percentage_rate}%
                                    </td>
                                {/if}
                            </tr>
                            {if $simulation[0].country_code == 'ES' || $simulation[0].country_code == 'PT'}
                                <tr>
                                    <td>
                                        {l s='TIN' mod='threebyfouroney'}
                                    </td>
                                    <td>
                                        {$simulation[0].nominal_annual_percentage_rate}%
                                    </td>
                                </tr>
                            {/if}
                            <tr>
                                {if $simulation[0].country_code == 'PT'}
                                    <td>
                                        {l s='MTIC' mod='threebyfouroney'}
                                    </td>
                                    <td>
                                        {Tools::displayPrice($simulation[0].payment_amount)}
                                    </td>
                                {/if}
                            </tr>
                        </tbody>
                    </table>
                </div>
            {/if}
        {/foreach}
    </div>
{else}
    <p class="text-md-center">{l s='Something went wrong. Please retry later.' mod='threebyfouroney'}</p>
{/if}